#!/bin/sh
         if [ ! -d ./reconstruction ]; then
            echo "Failed to find reconstruction directory.  This script"
            echo "must be run from root of vm-support"
            exit 1
         fi
         for d in . ./snapshot-*; do
            if [ -d $d ]; then
               ( cd $d && for s in ./reconstruction/*; do
                  sh $s
               done )
            fi
         done
         